"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CompiledSchema_1 = require("./CompiledSchema");
const error_1 = require("../error");
class CompiledMediaType {
    constructor(name, mediaType) {
        this.name = name;
        this.compiledSchema = new CompiledSchema_1.default(mediaType.schema);
    }
    validate(value) {
        try {
            this.compiledSchema.validate(value);
        }
        catch (e) {
            throw new error_1.default('Schema validation error', { in: '', name: this.name, rawErrors: e });
        }
    }
}
exports.default = CompiledMediaType;
//# sourceMappingURL=CompiledMediaType.js.map