"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const betterAjvErrors = require("better-ajv-errors");
const ajv_1 = require("./ajv");
const noop = (data) => {
    return true;
};
class CompiledSchema {
    constructor(schema, opts) {
        this.schemaObject = schema;
        this.validator = schema ? ajv_1.default(opts).compile(schema) : noop;
    }
    validate(value) {
        const valid = this.validator(value);
        if (!valid) {
            const errors = betterAjvErrors(this.schemaObject, value || '', this.validator.errors, { format: 'js', indent: 2 });
            /**
             * In the case where betterAjvErrors accidently return 0 errors
             * we return raw errors
             */
            if (Array.isArray(errors) && errors.length > 0) {
                throw errors;
            }
            ;
            throw this.validator.errors;
        }
    }
}
exports.default = CompiledSchema;
//# sourceMappingURL=CompiledSchema.js.map